' --------------------------------------------------------------------------
' This script is designed to be used in conjunction with Samurize to get all the
' information you want about the best Internet Radio Channel in the world!
' There is no need to edit anything in this script, just use it and enjoy
' --------------------------------------------------------------------------
' This script was created by Joakim Lindqvist (c) 2005
' Ingame name is JoCCo, email: graciaetewen@telia.com
' More information can be found @ www.slackerstudios.se
' --------------------------------------------------------------------------



' Some Constants That tells us what information we can find at what index
Const CurrentlyPlayingIndex 	= 0
Const LastPlayedIndex 		= 1
Const CurrentListenersIndex 	= 2
Const RecordListenersIndex	= 3
Const MaxListenersIndex		= 4

' The URL for the stats information
Const URL = "http://www.radiofreezion.com/content/radiostatsnew.php"

' This is to be used by Samruize, returns the name of the current song
Function GetCurrentlyPlaying()
	GetCurrentlyPlaying = getSite(CurrentlyPlayingIndex)
End Function

' This is to be used by Samurize, returns the name of the last played song
Function GetLastPlayed()
	GetLastPlayed = getSite(LastPlayedIndex)
End Function

' This is to be used by Samurize, returns current number of listeners
Function GetCurrentListeners()
	GetCurrentListeners = getSite(CurrentListenersIndex)
End Function

' This is to be used by Samurize, returns record number of listeners
Function GetRecordListeners()
	GetRecordListeners = getSite(RecordListenersIndex)
End Function

' This is to be used by Samurize, returns the max number of listeners
Function GetMaxListeners()
	GetMaxListeners= getSite(MaxListenersIndex)
End Function



' returns the information from the site ( either what song is playing or how many listeners there are )
Function getSite(index)
	Dim playInfo
	playInfo = ReturnHTML(URL)
	Dim Info
	Info = Split(playInfo, "||", 6)
	getSite = Info(index)	
End Function

' Downloads the given URL as a text string
Function ReturnHTML(sURL)
    Dim objXMLHTTP, HTML
    Set objXMLHTTP = CreateObject("Microsoft.XMLHTTP")
    objXMLHTTP.Open "GET", sURL, False
    objXMLHTTP.Send
    HTML = objXMLHTTP.responseBody
    Set objRS = CreateObject("ADODB.Recordset")
    objRS.Fields.Append "txt", 200, 45000, &H80
    objRS.Open
    objRS.AddNew
    objRS.Fields("txt").AppendChunk HTML
    ReturnHTML = objRS("txt").Value
    objRS.Close
    Set objRS = Nothing
    Set objXMLHTTP = Nothing
End Function